# $Header: $

EAPI="7"

inherit systemd

COMMIT="6f75aa58501eab7dd8b04fc5324f169882bd28b8"

DESCRIPTION="APRS-Toolchain by OE5DXL"
HOMEPAGE="https://dxlwiki.dl1nux.de/"

SRC_URI="https://github.com/oe5hpm/dxlAPRS/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 x86"

LICENSE="GPL-2"
SLOT="0"

RDEPEND="acct-group/dxlAPRS
         acct-user/dxlAPRS
         media-libs/libjpeg-turbo
         media-libs/libpng
         sci-libs/fftw
         x11-libs/libX11
         x11-libs/libXext"
DEPEND=${RDEPEND}

S=${WORKDIR}/${PN}-${COMMIT}/src

PATCHES=(
        "${FILESDIR}/${P}-gcc-new.patch"
        "${FILESDIR}/${P}-no-static-linking.patch"
)

src_install() {
        arch="$(uname -m)"
        rm ../out-${arch}/*.o
        dobin ../out-${arch}/*

        insinto /usr/share/${PN}/www
        doins -r ../dxlAPRS_common/www/*

        insinto /usr/share/${PN}/aprsmap
        doins -r ../aprsmap_common/*

        systemd_dounit  "${FILESDIR}"/ra02.service
        systemd_dounit  "${FILESDIR}"/udpbox.service
        systemd_dounit  "${FILESDIR}"/udpflex.service
        systemd_dounit  "${FILESDIR}"/udpgate4.service
}
